A valid request URL is required to generate request examples{
"role": "<string>",
"contentBlockIndex": 123,
"delta": {
"text": "<string>",
"reasoningContent": {
"text": "<string>",
"signature": "<string>"
},
"toolUse": {
"input": "<string>"
}
},
"stopReason": "<string>",
"start": {
"toolUse": {
"toolUseId": "<string>",
"name": "<string>"
}
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheReadInputTokens": 123,
"cacheWriteInputTokens": 123
},
"metrics": {
"latencyMs": 123
},
"trace": {},
"additionalModelResponseFields": {},
"invokeModelRawChunk": "aSDinaTvuI8gbWludGxpZnk="
}Stream converse with model (LangChain - Bedrock format)
Streams messages using AWS Bedrock Converse-compatible format via LangChain.
A valid request URL is required to generate request examples{
"role": "<string>",
"contentBlockIndex": 123,
"delta": {
"text": "<string>",
"reasoningContent": {
"text": "<string>",
"signature": "<string>"
},
"toolUse": {
"input": "<string>"
}
},
"stopReason": "<string>",
"start": {
"toolUse": {
"toolUseId": "<string>",
"name": "<string>"
}
},
"usage": {
"inputTokens": 123,
"outputTokens": 123,
"totalTokens": 123,
"cacheReadInputTokens": 123,
"cacheWriteInputTokens": 123
},
"metrics": {
"latencyMs": 123
},
"trace": {},
"additionalModelResponseFields": {},
"invokeModelRawChunk": "aSDinaTvuI8gbWludGxpZnk="
}Authorizations
Bearer token authentication. Use your provider API key or Bifrost authentication token.
Virtual keys (prefixed with sk-bf-) can also be passed here.
Path Parameters
Model ID
Body
Array of messages for the conversation
Show child attributes
Show child attributes
System messages/prompts
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Model-specific parameters
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful streaming response
Flat structure for streaming events matching actual Bedrock API response
For messageStart events
For content block events
Show child attributes
Show child attributes
For messageStop events
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Raw bytes for legacy invoke stream
Was this page helpful?

